MWAWParagraph Class Reference

class to store the paragraph properties More...

`#include <MWAWParagraph.hxx>`

Inheritance diagram for MWAWParagraph:

## Public Types

enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Public Member Functions

| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, WPXUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (WPXPropertyList &propList, bool inTable) const
| add to the propList More...
void | addTabsTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add tabs to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes

Variable< double > | m_margins [3]
| the margins More...
Variable< WPXUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< WPXUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector < MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable < MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_extra
| a string to store some errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWParagraph const &ft)
| operator << More...

## Detailed Description

class to store the paragraph properties

## Member Enumeration Documentation

anonymous enum

some bit use to defined the break status

Enumerator
NoBreakBit |
NoBreakWithNextBit |

enum MWAWParagraph::Justification

an enum used to defined the paragraph justification: left, center, right, full ...

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

enum MWAWParagraph::LineSpacingType

the line spacing type: fixed or at least

Enumerator
Fixed |
AtLeast |

## Constructor & Destructor Documentation

MWAWParagraph::MWAWParagraph | ( |  | ) |

constructor

MWAWParagraph::~MWAWParagraph | ( |  | ) |

virtual

destructor

## Member Function Documentation

void MWAWParagraph::addTabsTo | ( | WPXPropertyListVector & | propList,
|  | double | decalX = `0.0`
| ) |  | const

add tabs to the propList

void MWAWParagraph::addTo | ( | WPXPropertyList & | propList,
|  | bool | inTable
| ) |  | const

add to the propList

double MWAWParagraph::getMarginsWidth | ( |  | ) | const

return the paragraph margin width (in inches)

bool MWAWParagraph::hasBorders | ( |  | ) | const

check if the paragraph has some borders

Referenced by addTo(), and hasDifferentBorders().

bool MWAWParagraph::hasDifferentBorders | ( |  | ) | const

check if the paragraph has different borders

Referenced by addTo().

void MWAWParagraph::insert | ( | MWAWParagraph const & | para | ) |

insert the set values of para in the actual paragraph

Referenced by MSWStruct::Paragraph::insert().

bool MWAWParagraph::operator!= | ( | MWAWParagraph const & | p | ) | const

operator!=

Referenced by operator==().

bool MWAWParagraph::operator== | ( | MWAWParagraph const & | p | ) | const

inline

operator==

void MWAWParagraph::resizeBorders | ( | size_t | newSize | ) |

inline

a function used to resize the borders list ( adding empty borders if needed )

Referenced by MSWStruct::Paragraph::read(), HMWJText::readParagraph(), HMWKText::readParagraph(), and MRWTextInternal::Paragraph::update().

void MWAWParagraph::setInterline | ( | double | value,
|  | WPXUnit | unit,
|  | LineSpacingType | type = `Fixed`
| ) |  |

inline

set the interline

Referenced by MSWStruct::Paragraph::read(), MWParser::readGraphic(), WPParser::readGraphic(), MORText::readOutline(), MSW1Parser::readParagraph(), BWText::readParagraph(), MWParser::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MSK4Text::readParagraph(), NSText::readParagraphs(), MDWParser::readRuler(), GWText::readRuler(), MRWText::readRulers(), MWParser::readText(), MDWParser::sendHeaderFooterFields(), MSK3Text::sendText(), MDWParser::sendZone(), and FWTextInternal::Paragraph::updateToSent().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWParagraph const & | ft
| ) |  |

friend

operator <<

## Member Data Documentation

Variable<MWAWColor> MWAWParagraph::m_backgroundColor

the background color

Referenced by addTo(), insert(), operator!=(), operator<<(), MRWTextInternal::Paragraph::update(), and FWTextInternal::Paragraph::updateToSent().

std::vector<Variable<MWAWBorder> > MWAWParagraph::m_borders

list of border ( order MWAWBorder::Pos)

Referenced by addTo(), hasBorders(), hasDifferentBorders(), insert(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), HMWJText::readParagraph(), HMWKText::readParagraph(), resizeBorders(), MRWTextInternal::Paragraph::update(), and FWTextInternal::Paragraph::updateToSent().

Variable<int> MWAWParagraph::m_breakStatus

a list of bits: 0x1 (unbreakable), 0x2 (do not break after)

Referenced by addTo(), insert(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MORText::readOutline(), HMWJText::readParagraph(), and HMWKText::readParagraph().

std::string MWAWParagraph::m_extra

a string to store some errors

Referenced by insert(), operator<<(), MSWStruct::Paragraph::read(), MSWTextStyles::readParagraph(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), MSK3Text::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MSK4Text::readParagraph(), NSText::readParagraphs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), and MRWText::readRulers().

Variable<Justification> MWAWParagraph::m_justify

the justification

Referenced by addTo(), insert(), MWAWHeaderFooter::insertPageNumberParagraph(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MORText::readOutline(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), MWParser::readParagraph(), HMWKText::readParagraph(), MSK3Text::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MSK4Text::readParagraph(), NSText::readParagraphs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), MWParser::readText(), ACParser::sendHeaderFooter(), LWText::sendHeaderFooter(), MCDParser::sendIndex(), GWText::sendSimpleTextbox(), MSKGraph::sendTable(), ZWText::sendText(), DMText::sendText(), MSKGraph::sendTextBox(), MDWParserInternal::ZoneInfo::updateListId(), and FWTextInternal::Paragraph::updateToSent().

Variable<int> MWAWParagraph::m_listId

the list id (if know )

Referenced by insert(), operator!=(), operator<<(), MSK4Text::readParagraph(), MRWText::readRulers(), ACText::sendTopic(), CWText::setProperty(), MDWParserInternal::ZoneInfo::updateListId(), and MORTextInternal::Paragraph::updateToFinalState().

Variable<MWAWListLevel> MWAWParagraph::m_listLevel

the actual level

Referenced by CWText::findListId(), insert(), operator!=(), operator<<(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

Variable<int> MWAWParagraph::m_listLevelIndex

the actual level index

Referenced by CWText::findListId(), insert(), operator!=(), operator<<(), CWText::readParagraph(), MSK4Text::readParagraph(), MRWText::readRulers(), CWText::sendText(), ACText::sendTopic(), MDWParserInternal::ZoneInfo::updateListId(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

Variable<int> MWAWParagraph::m_listStartValue

the list start value (if set )

Referenced by insert(), operator!=(), and MDWParserInternal::ZoneInfo::updateListId().

Variable<double> MWAWParagraph::m_margins[3]

the margins

- 0: first line left margin
- 1: left margin
- 2: right margin

Referenced by addTabsTo(), addTo(), WNTextInternal::State::getDefaultParagraph(), getMarginsWidth(), WPParser::getParagraph(), FWTextInternal::Paragraph::getTableDimensions(), insert(), MWAWParagraph(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MORText::readOutline(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), MWParser::readParagraph(), HMWKText::readParagraph(), MSK3Text::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MSK4Text::readParagraph(), NSText::readParagraphs(), FWText::readParagraphTabs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), EDParser::sendIndex(), MCDParser::sendIndex(), ACText::sendTopic(), MORTextInternal::Paragraph::setLeftMargin(), NSText::setProperty(), MORTextInternal::Paragraph::setRightMargin(), MDWParserInternal::ZoneInfo::updateListId(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

Variable<WPXUnit> MWAWParagraph::m_marginsUnit

the margins INCH, ...

Referenced by addTabsTo(), addTo(), getMarginsWidth(), WPParser::getParagraph(), insert(), operator!=(), WNTextInternal::Paragraph::Paragraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), NSText::readParagraphs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), and EDParser::sendIndex().

Variable<double> MWAWParagraph::m_spacings[3]

the line spacing

- 0: interline
- 1: before
- 2: after

Referenced by addTo(), insert(), MWAWParagraph(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MORText::readOutline(), MSW1Parser::readParagraph(), BWText::readParagraph(), HMWJText::readParagraph(), HMWKText::readParagraph(), CWText::readParagraph(), NSText::readParagraphs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), setInterline(), and FWTextInternal::Paragraph::updateToSent().

Variable<LineSpacingType> MWAWParagraph::m_spacingsInterlineType

the interline type: fixed, atLeast, ...

Referenced by addTo(), insert(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MSK4Text::readParagraph(), NSText::readParagraphs(), and setInterline().

Variable<WPXUnit> MWAWParagraph::m_spacingsInterlineUnit

the interline unit PERCENT or INCH, ...

Referenced by addTo(), insert(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), HMWJText::readParagraph(), HMWKText::readParagraph(), NSText::readParagraphs(), and setInterline().

Variable<std::vector<MWAWTabStop> > MWAWParagraph::m_tabs

the tabulations

Referenced by addTabsTo(), FWTextInternal::Paragraph::getTableDimensions(), insert(), MSWStruct::Paragraph::insert(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MSW1Parser::readParagraph(), BWText::readParagraph(), MWParser::readParagraph(), MSK3Text::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), MSK4Text::readParagraph(), NSText::readParagraphs(), FWText::readParagraphTabs(), MDWParser::readRuler(), GWText::readRuler(), LWText::readRulers(), MRWText::readRulers(), MORText::readTabs(), WNText::send(), DMText::sendFooter(), MDWParser::sendHeaderFooterFields(), EDParser::sendIndex(), MCDParser::sendIndex(), MWProStructuresListenerState::sendParagraph(), DMText::sendTOC(), and FWTextInternal::Paragraph::updateToSent().

Variable<bool> MWAWParagraph::m_tabsRelativeToLeftMargin

true if the tabs are relative to left margin, false if there are relative to the page margin (default)

Referenced by addTabsTo(), insert(), operator!=(), and MSWStruct::Paragraph::Paragraph().

The documentation for this class was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx